<?php
/**
* Customizer Defaults
*
* The following filter is used to setup the customizer defaults which are setup by your child theme
*
*/
function layers_business_customizer_defaults( $defaults ){

	$defaults = array(
		'header-menu-layout' => 'header-logo-left',
		'heading-fonts' => 'Merriweather',
		'body-fonts' => 'Lato',
		'form-fonts' => 'Lato',
		'site-accent-color' => '#3398d6',
		'header-background-color' => '#3398d6',
		'header-sticky' => '1',
		'footer-sidebar-count' => '0',
		'footer-background-color' => '#333333',
	);

	return $defaults;
}
add_filter( 'layers_customizer_control_defaults', 'layers_business_customizer_defaults' );

/**
* Preset Layouts
*
* The following filter adds your Layers pages to the preset layouts under Layers > Add Page
*
*/

function layers_business_presets( $layers_preset_layouts ){
	$layers_business_presets[ 'acquire-home' ] = array(
		'title' => __( 'Acquire - Home', 'layers-acquire' ),
		'screenshot' => get_stylesheet_directory_uri().'/assets/preset-images/preset-home.jpg',
		'screenshot_type' => 'jpg',
		'json' =>  '{"obox-layers-builder-4":{"layers-widget-slide-1":{"design":{"layout":"layout-fullwidth","advanced":{"customclass":"","customcss":"","margin-top":"","margin-right":"","margin-bottom":"","margin-left":"","padding-top":"","padding-right":"","padding-bottom":"","padding-left":""}},"show_slider_arrows":"on","show_slider_dots":"on","slide_time":"","slide_height":"550","slide_ids":"488,249","slides":{"488":{"design":{"background":{"image":"http:\/\/sites.layerswp.com\/acquire\/wp-content\/uploads\/sites\/5\/2015\/02\/slide-01.jpeg","color":"#000","repeat":"no-repeat","position":"center","stretch":"on","darken":"on"},"featuredimage":"","featuredvideo":"","imagealign":"image-right","fonts":{"align":"text-left","size":"medium","color":"#fff"}},"title":"Business development and acquisition specialists","excerpt":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse vitae massa velit, eu laoreet massa. Sed ac orci libero, eu dignissim enim.","link":"\/business\/work","link_text":"View our Work"},"249":{"design":{"background":{"image":"http:\/\/sites.layerswp.com\/acquire\/wp-content\/uploads\/sites\/5\/2015\/02\/slide-02.jpg","color":"#000","repeat":"no-repeat","position":"center","stretch":"on","darken":"on"},"featuredimage":"","featuredvideo":"","imagealign":"image-top","fonts":{"align":"text-center","size":"medium","color":"#fff"}},"title":"We know how to close","excerpt":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse vitae massa velit, eu laoreet massa. Sed ac orci libero, eu dignissim enim.","link":"\/business\/work","link_text":""}}},"layers-widget-column-1":{"design":{"layout":"layout-boxed","gutter":"on","fonts":{"align":"text-left","size":"medium","color":""},"background":{"image":"","color":"#eeeeee","repeat":"no-repeat","position":"center"},"advanced":{"customclass":"","customcss":"","margin-top":"","margin-right":"","margin-bottom":"","margin-left":"","padding-top":"","padding-right":"","padding-bottom":"","padding-left":""}},"title":"","excerpt":"","column_ids":"63,355,825","columns":{"63":{"design":{"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"featuredimage":"http:\/\/sites.layerswp.com\/acquire\/wp-content\/uploads\/sites\/5\/2015\/02\/icon-mergers.png","featuredvideo":"","imageratios":"image-landscape","imagealign":"image-top","fonts":{"align":"text-center","size":"medium","color":""}},"width":"4","title":"Mergers & Acquisitions","excerpt":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse vitae massa velit, eu laoreet massa. Sed ac orci libero.","link_text":"","link":""},"355":{"design":{"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"featuredimage":"http:\/\/sites.layerswp.com\/acquire\/wp-content\/uploads\/sites\/5\/2015\/02\/icon-assets.png","featuredvideo":"","imageratios":"image-landscape","imagealign":"image-top","fonts":{"align":"text-center","size":"medium","color":""}},"width":"4","title":"Asset Management","excerpt":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse vitae massa velit, eu laoreet massa. Sed ac orci libero.","link_text":"","link":""},"825":{"design":{"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"featuredimage":"http:\/\/sites.layerswp.com\/acquire\/wp-content\/uploads\/sites\/5\/2015\/02\/icon-diversify.png","featuredvideo":"","imageratios":"image-landscape","imagealign":"image-top","fonts":{"align":"text-center","size":"medium","color":""}},"width":"4","title":"Diversification","excerpt":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse vitae massa velit, eu laoreet massa. Sed ac orci libero.","link_text":"","link":""}}},"layers-widget-column-2":{"design":{"layout":"layout-boxed","gutter":"on","fonts":{"align":"text-center","size":"medium","color":""},"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"advanced":{"customclass":"","customcss":".small .media-image.image-rounded img{max-width: 32px;}","margin-top":"","margin-right":"","margin-bottom":"","margin-left":"","padding-top":"","padding-right":"","padding-bottom":"","padding-left":""}},"title":"We\u2019ve worked with some incredible companies","excerpt":"Working with the super companies from across the world, we\u2019ve been able to create financial returns which are unrivaled in our industry. Below are just a few of the brands we\'ve worked with.","column_ids":"355,468,169,381,743,641","columns":{"355":{"design":{"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"featuredimage":"http:\/\/sites.layerswp.com\/acquire\/wp-content\/uploads\/sites\/5\/2015\/02\/partner-nh.png","featuredvideo":"","imageratios":"image-landscape","imagealign":"image-top","fonts":{"align":"text-left","size":"small","color":""}},"width":"4","title":"","excerpt":"","link_text":"","link":""},"468":{"design":{"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"featuredimage":"http:\/\/sites.layerswp.com\/acquire\/wp-content\/uploads\/sites\/5\/2015\/02\/partner-obox.png","featuredvideo":"","imageratios":"image-landscape","imagealign":"image-top","fonts":{"align":"text-left","size":"small","color":""}},"width":"4","title":"","excerpt":"","link_text":"","link":""},"169":{"design":{"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"featuredimage":"http:\/\/sites.layerswp.com\/acquire\/wp-content\/uploads\/sites\/5\/2015\/02\/partner-onnet.png","featuredvideo":"","imageratios":"image-landscape","imagealign":"image-top","fonts":{"align":"text-left","size":"small","color":""}},"width":"4","title":"","excerpt":"","link_text":"","link":""},"381":{"design":{"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"featuredimage":"http:\/\/sites.layerswp.com\/acquire\/wp-content\/uploads\/sites\/5\/2015\/02\/partner-partner.png","featuredvideo":"","imageratios":"image-landscape","imagealign":"image-top","fonts":{"align":"text-left","size":"small","color":""}},"width":"4","title":"","excerpt":"","link_text":"","link":""},"743":{"design":{"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"featuredimage":"http:\/\/sites.layerswp.com\/acquire\/wp-content\/uploads\/sites\/5\/2015\/02\/partner-human-writes.png","featuredvideo":"","imageratios":"image-landscape","imagealign":"image-top","fonts":{"align":"text-left","size":"small","color":""}},"width":"4","title":"","excerpt":"","link_text":"","link":""},"641":{"design":{"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"featuredimage":"http:\/\/sites.layerswp.com\/acquire\/wp-content\/uploads\/sites\/5\/2015\/02\/partner-molecule.png","featuredvideo":"","imageratios":"image-landscape","imagealign":"image-top","fonts":{"align":"text-left","size":"small","color":""}},"width":"4","title":"","excerpt":"","link_text":"","link":""}}},"layers-widget-slide-6":{"slide_time":"","slide_height":"400","design":{"advanced":{"customclass":"","customcss":"","margin-top":"","margin-right":"","margin-bottom":"","margin-left":"","padding-top":"","padding-right":"","padding-bottom":"","padding-left":""}},"slide_ids":"260","slides":{"260":{"design":{"background":{"image":"http:\/\/sites.layerswp.com\/acquire\/wp-content\/uploads\/sites\/5\/2015\/02\/happy-customers-bg.jpg","color":"#000","repeat":"no-repeat","position":"center","stretch":"on","darken":"on"},"featuredimage":"","featuredvideo":"","imagealign":"image-top","fonts":{"align":"text-center","size":"medium","color":"#fff"}},"title":"Happy Customers","excerpt":"\u201cThere are a lot of M&A companies out there that promise the world but never deliver. Acquire is the opposite of those companies. It\u2019s truly changed the way we build and sell businesses.\u201d","link":"#","link_text":"See what others are saying"}}}}}'
	);
	$layers_business_presets[ 'acquire-services' ] = array(
		'title' => __( 'Acquire - Services', 'layers-acquire' ),
		'screenshot' => get_stylesheet_directory_uri().'/assets/preset-images/preset-services.jpg',
		'screenshot_type' => 'jpg',
		'json' =>  '{"obox-layers-builder-12":{"layers-widget-slide-3":{"slide_time":"","slide_height":"150","design":{"advanced":{"customclass":"","customcss":"","margin-top":"","margin-right":"","margin-bottom":"","margin-left":"","padding-top":"","padding-right":"","padding-bottom":"","padding-left":""}},"slide_ids":"249","slides":{"249":{"design":{"background":{"image":"","color":"#3398d6","repeat":"repeat","position":"center"},"featuredimage":"","featuredvideo":"","imagealign":"image-top","fonts":{"align":"text-left","size":"large","color":"#ffffff"}},"title":"Services","excerpt":"","link":"","link_text":""}}},"layers-widget-column-3":{"design":{"layout":"layout-boxed","gutter":"on","fonts":{"align":"text-left","size":"medium","color":""},"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"advanced":{"customclass":"","customcss":""}},"title":"","excerpt":"","column_ids":"355,246,622","columns":{"355":{"design":{"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"featuredimage":"http:\/\/sites.layerswp.com\/acquire\/wp-content\/uploads\/sites\/5\/2015\/02\/demo-image.png","featuredvideo":"","imageratios":"image-landscape","imagealign":"image-top","fonts":{"align":"text-left","size":"medium","color":""}},"width":"4","title":"Personalised service from experienced professionals","excerpt":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse vitae massa velit, eu laoreet massa. Sed ac orci libero.","link_text":"","link":""},"246":{"design":{"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"featuredimage":"http:\/\/sites.layerswp.com\/acquire\/wp-content\/uploads\/sites\/5\/2015\/02\/demo-image.png","featuredvideo":"","imageratios":"image-landscape","imagealign":"image-top","fonts":{"align":"text-left","size":"medium","color":""}},"width":"4","title":"Network of qualified global investors","excerpt":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse vitae massa velit, eu laoreet massa. Sed ac orci libero.","link_text":"","link":""},"622":{"design":{"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"featuredimage":"http:\/\/sites.layerswp.com\/acquire\/wp-content\/uploads\/sites\/5\/2015\/02\/demo-image.png","featuredvideo":"","imageratios":"image-landscape","imagealign":"image-top","fonts":{"align":"text-left","size":"medium","color":""}},"width":"4","title":"Efficient and discreet: we value your time and privacy","excerpt":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse vitae massa velit, eu laoreet massa. Sed ac orci libero.","link_text":"","link":""}}}}}'
	);
	$layers_business_presets[ 'acquire-contact-us' ] = array(
		'title' => __( 'Acquire - Contact Us', 'layers-acquire' ),
		'screenshot' => get_stylesheet_directory_uri().'/assets/preset-images/preset-contact.jpg',
		'screenshot_type' => 'jpg',
		'json' =>  '{"obox-layers-builder-31":{"layers-widget-slide-8":{"slide_time":"","slide_height":"150","design":{"advanced":{"customclass":"","customcss":"","margin-top":"","margin-right":"","margin-bottom":"","margin-left":"","padding-top":"","padding-right":"","padding-bottom":"","padding-left":""}},"slide_ids":"204","slides":{"204":{"design":{"background":{"image":"","color":"#3398d6","repeat":"no-repeat","position":"center"},"featuredimage":"","featuredvideo":"","imagealign":"image-top","fonts":{"align":"text-left","size":"large","color":"#fff"}},"title":"Contact Us","excerpt":"","link":"","link_text":""}}},"layers-widget-map-3":{"design":{"layout":"layout-boxed","fonts":{"align":"text-center","size":"medium","color":""},"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"advanced":{"customclass":"","customcss":"","margin-top":"","margin-right":"","margin-bottom":"","margin-left":"","padding-top":"","padding-right":"","padding-bottom":"","padding-left":""}},"map_height":"400","show_google_map":"on","show_contact_form":"on","title":"","excerpt":"","google_maps_location":"Green Point, Cape Town, South Africa","google_maps_long_lat":"","address_shown":"","contact_form":"[contact-form-7 id=\"27\" title=\"Contact Us\"]"}}}'
	);

	return array_merge( $layers_business_presets,  $layers_preset_layouts );
}

add_filter( 'layers_preset_layouts', 'layers_business_presets', 0 );